<div class="dialog-content-wrapper">
    <mat-toolbar matDialogTitle class="mat-accent m-0">
        <mat-toolbar-row fxLayout="row" fxLayoutAlign="space-between center">
            <span class="title dialog-title">{{dialogTitle}}</span>
            <button mat-icon-button (click)="matDialogRef.close()" aria-label="Close dialog">
                <mat-icon>close</mat-icon>
            </button>
        </mat-toolbar-row>
    </mat-toolbar>

    <div mat-dialog-content class="p-24 pb-0 m-0" >
        <form fxLayout="column" fxLayoutAlign="start"
              fxFlex="1 0 auto" name="form" [formGroup]="form">

            <div fxLayout="row" fxLayoutAlign="start start">
                <mat-form-field appearance="outline" fxFlex>
                    <mat-label>Choose a date</mat-label>
                    <mat-icon matSuffix class="secondary-text">calendar</mat-icon>

                    <input #i formControlName="date" matInput [matDatepicker]="picker">
                    <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                    <mat-datepicker #picker></mat-datepicker>
                </mat-form-field>
            </div>
            <div fxLayout="row" fxLayoutAlign="start start">
                <mat-form-field appearance="outline" fxFlex>
                    <mat-label>Time</mat-label>
                    <mat-icon matSuffix class="secondary-text">time</mat-icon>
                    <input type="time" matInput formControlName="time">
                </mat-form-field>
            </div>
            <div fxLayout="row" class="textarea-wrapper" fxLayoutAlign="start start">
                <mat-form-field appearance="outline" fxFlex>
                    <mat-label>Status</mat-label>
                    <mat-select name="status" formControlName="status"  >
                            <mat-option value="Pending" selected="selected">Pending</mat-option>
                            <mat-option value="Done">Done</mat-option>
                    </mat-select>
                </mat-form-field>
            </div>

        </form>


    </div>

    <div mat-dialog-actions class="m-0 p-16" fxLayout="row" fxLayoutAlign="end center">

        <button *ngIf="action === 'edit'" mat-button class="mr-8"
                (click)="matDialogRef.close(['delete',form])" aria-label="Delete" matTooltip="Delete">
            DELETE
        </button>

        <button *ngIf="action !== 'edit'" mat-button class="save-button"
                (click)="matDialogRef.close(form)"
                [disabled]="form.invalid" aria-label="SAVE">
            ADD
        </button>

        <button *ngIf="action === 'edit'" mat-button class="save-button"
                (click)="this.matDialogRef.close(['save', this.form])
   " [disabled]="form.invalid"
                aria-label="SAVE">
            SAVE
        </button>

    </div>
</div>


